makecol(3)

NAME
makecol - Converts an RGB value into the current pixel format. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int makecol(int r, int g, int b);

DESCRIPTION
Converts colors from a hardware independent format (red, green, and blue values ranging 0-255) to the pixel format required by the current video mode, calling the preceding 8, 15, 16, 24, or 32-bit makecol functions as appropriate. Example:
   /* Regardless of color depth, this will look green. */
   int green_color = makecol(0, 255, 0);

RETURN VALUE
Returns the requested RGB triplet in the current color depth.

SEE ALSO
makeacol(3), makecol8(3), makecol_depth(3), makecol15_dither(3), rgb_map(3), set_color_depth(3)